petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDTGaussQuadrature

create Gauss quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussQuadrature(PetscInt npoints,PetscReal a,PetscReal b,PetscReal *x,PetscReal *w)

Not Collective Many br

### Input Arguments

| npoints | - number of points Many br
| a | - left end of interval (often-1) Many br
| b | - right end of interval (often +1) Many br

### Output Arguments

| x | - quadrature points Many br
| w | - quadrature weights Many br

Many br

### References

1. -Golub and Welsch, Calculation of Quadrature Rules, Math. Comp. 23(106), 1969. Many br

### See Also

PetscDTLegendreEval()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages